<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:08 CET 2009 -->
<TITLE>
FilteredSortablePosMemory
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.metabolic.efm.borndie.memory.FilteredSortablePosMemory class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="FilteredSortablePosMemory";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/FilteredSortablePosMemory.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/ColumnDemuxAppendableMemory.html" title="class in ch.javasoft.metabolic.efm.borndie.memory"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="FilteredSortablePosMemory.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.metabolic.efm.borndie.memory</FONT>
<BR>
Class FilteredSortablePosMemory&lt;Col extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.metabolic.efm.borndie.memory.FilteredSortablePosMemory&lt;Col&gt;</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IndexableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IndexableMemory</A>&lt;Col&gt;, <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&lt;Col&gt;, <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;Col&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html" title="class or interface in java.lang">Cloneable</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;Col&gt;</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html#line.57"><B>FilteredSortablePosMemory&lt;Col extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;Col&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html" title="class or interface in java.lang">Cloneable</A></DL>
</PRE>

<P>
The <code>FilteredSortablePosMemory</code> wraps around an 
 <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory"><CODE>IterableMemory</CODE></A> instance and implements the sort and swap functions 
 with an internal index mapping array. Not all columns of the original memory
 are used, thus, it is also a fitered memory.
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html#FilteredSortablePosMemory(ch.javasoft.metabolic.efm.borndie.BornDieController, ch.javasoft.metabolic.efm.memory.IndexableMemory, int)">FilteredSortablePosMemory</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/BornDieController.html" title="class in ch.javasoft.metabolic.efm.borndie">BornDieController</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html" title="type parameter in FilteredSortablePosMemory">Col</A>&gt;&nbsp;controller,
                                                   <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IndexableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IndexableMemory</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html" title="type parameter in FilteredSortablePosMemory">Col</A>&gt;&nbsp;baseMemory,
                                                   int&nbsp;partnerDieRow)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected </CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html#FilteredSortablePosMemory(ch.javasoft.metabolic.efm.memory.IndexableMemory, int, int[])">FilteredSortablePosMemory</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IndexableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IndexableMemory</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html" title="type parameter in FilteredSortablePosMemory">Col</A>&gt;&nbsp;baseMemory,
                                                   int&nbsp;partnerDieRow,
                                                   int[]&nbsp;mapping)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor used by <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html#clone()"><CODE>clone()</CODE></A> method</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html" title="class in ch.javasoft.metabolic.efm.borndie.memory">FilteredSortablePosMemory</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html" title="type parameter in FilteredSortablePosMemory">Col</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html#clone()">clone</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html#close(boolean)">close</A></B>(boolean&nbsp;erase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Closes this memory after flushing changed data to the underlying stream 
 or file</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html#fileId()">fileId</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the file identifier, usually the complete path of the underlying
 file plus other state of this memory.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html#flush()">flush</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Flushes the changed data to the underlying stream or file</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html" title="type parameter in FilteredSortablePosMemory">Col</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html#getColumn(int)">getColumn</A></B>(int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the column specified by index</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html#getColumnCount()">getColumnCount</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number of columns</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Iterator.html" title="class or interface in java.util">Iterator</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html" title="type parameter in FilteredSortablePosMemory">Col</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html#iterator()">iterator</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html#swapColumns(int, int)">swapColumns</A></B>(int&nbsp;indexA,
                       int&nbsp;indexB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Swaps the two columns specified by row index</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="FilteredSortablePosMemory(ch.javasoft.metabolic.efm.borndie.BornDieController, ch.javasoft.metabolic.efm.memory.IndexableMemory, int)"><!-- --></A><H3>
FilteredSortablePosMemory</H3>
<PRE>
public <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html#line.63"><B>FilteredSortablePosMemory</B></A>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/BornDieController.html" title="class in ch.javasoft.metabolic.efm.borndie">BornDieController</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html" title="type parameter in FilteredSortablePosMemory">Col</A>&gt;&nbsp;controller,
                                 <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IndexableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IndexableMemory</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html" title="type parameter in FilteredSortablePosMemory">Col</A>&gt;&nbsp;baseMemory,
                                 int&nbsp;partnerDieRow)
                          throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DL>
<HR>

<A NAME="FilteredSortablePosMemory(ch.javasoft.metabolic.efm.memory.IndexableMemory, int, int[])"><!-- --></A><H3>
FilteredSortablePosMemory</H3>
<PRE>
protected <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html#line.72"><B>FilteredSortablePosMemory</B></A>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IndexableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IndexableMemory</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html" title="type parameter in FilteredSortablePosMemory">Col</A>&gt;&nbsp;baseMemory,
                                    int&nbsp;partnerDieRow,
                                    int[]&nbsp;mapping)</PRE>
<DL>
<DD>Constructor used by <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html#clone()"><CODE>clone()</CODE></A> method
<P>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="fileId()"><!-- --></A><H3>
fileId</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html#line.90"><B>fileId</B></A>()
              throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html#fileId()">IterableMemory</A></CODE></B></DD>
<DD>Returns the file identifier, usually the complete path of the underlying
 file plus other state of this memory. If no file is associated with 
 this memory kind, the result is undefined and might even throw an 
 exception.
 <p>
 Memory implementations which support this method are expected to have a
 string constructor, creating an instance from such a file id.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html#fileId()">fileId</A></CODE> in interface <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html" title="type parameter in FilteredSortablePosMemory">Col</A> extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getColumnCount()"><!-- --></A><H3>
getColumnCount</H3>
<PRE>
public int <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html#line.94"><B>getColumnCount</B></A>()
                   throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html#getColumnCount()">IterableMemory</A></CODE></B></DD>
<DD>Returns the number of columns
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html#getColumnCount()">getColumnCount</A></CODE> in interface <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html" title="type parameter in FilteredSortablePosMemory">Col</A> extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getColumn(int)"><!-- --></A><H3>
getColumn</H3>
<PRE>
public <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html" title="type parameter in FilteredSortablePosMemory">Col</A> <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html#line.98"><B>getColumn</B></A>(int&nbsp;index)
                             throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IndexableMemory.html#getColumn(int)">IndexableMemory</A></CODE></B></DD>
<DD>Returns the column specified by index
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IndexableMemory.html#getColumn(int)">getColumn</A></CODE> in interface <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IndexableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IndexableMemory</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html" title="type parameter in FilteredSortablePosMemory">Col</A> extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="iterator()"><!-- --></A><H3>
iterator</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Iterator.html" title="class or interface in java.util">Iterator</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html" title="type parameter in FilteredSortablePosMemory">Col</A>&gt; <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html#line.102"><B>iterator</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html#iterator()" title="class or interface in java.lang">iterator</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html" title="type parameter in FilteredSortablePosMemory">Col</A> extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="swapColumns(int, int)"><!-- --></A><H3>
swapColumns</H3>
<PRE>
public void <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html#line.127"><B>swapColumns</B></A>(int&nbsp;indexA,
                        int&nbsp;indexB)
                 throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html#swapColumns(int, int)">SortableMemory</A></CODE></B></DD>
<DD>Swaps the two columns specified by row index
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html#swapColumns(int, int)">swapColumns</A></CODE> in interface <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html" title="type parameter in FilteredSortablePosMemory">Col</A> extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>indexA</CODE> - the row index of column A<DD><CODE>indexB</CODE> - the row index of column B
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE> - if any i/o exception occurs</DL>
</DD>
</DL>
<HR>

<A NAME="flush()"><!-- --></A><H3>
flush</H3>
<PRE>
public void <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html#line.131"><B>flush</B></A>()
           throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html#flush()">SortableMemory</A></CODE></B></DD>
<DD>Flushes the changed data to the underlying stream or file
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html#flush()">flush</A></CODE> in interface <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html" title="type parameter in FilteredSortablePosMemory">Col</A> extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE> - if any i/o exception occurs</DL>
</DD>
</DL>
<HR>

<A NAME="close(boolean)"><!-- --></A><H3>
close</H3>
<PRE>
public void <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html#line.135"><B>close</B></A>(boolean&nbsp;erase)
           throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html#close(boolean)">IterableMemory</A></CODE></B></DD>
<DD>Closes this memory after flushing changed data to the underlying stream 
 or file
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html#close(boolean)">close</A></CODE> in interface <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html" title="type parameter in FilteredSortablePosMemory">Col</A> extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>erase</CODE> - if true, files possibly storing the data are erased
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE> - if any i/o exception occurs</DL>
</DD>
</DL>
<HR>

<A NAME="clone()"><!-- --></A><H3>
clone</H3>
<PRE>
public <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html" title="class in ch.javasoft.metabolic.efm.borndie.memory">FilteredSortablePosMemory</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html" title="type parameter in FilteredSortablePosMemory">Col</A>&gt; <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html#line.143"><B>clone</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/FilteredSortablePosMemory.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/ColumnDemuxAppendableMemory.html" title="class in ch.javasoft.metabolic.efm.borndie.memory"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="FilteredSortablePosMemory.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
